itpp::Complex_Normal_RNG Class Reference
Base Module » Random Number Generation

A Complex Normal Source. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Complex_Normal_RNG (std::complex< double > mean, double variance)
| Constructor. Set mean and variance.
| Complex_Normal_RNG ()
| Default constructor.
void | setup (std::complex< double > mean, double variance)
| Set mean and variance.
void | get_setup (std::complex< double > &mean, double &variance)
| Get mean and variance.
std::complex< double > | operator() ()
| Get one sample.
cvec | operator() (int n)
| Get a sample vector.
cmat | operator() (int h, int w)
| Get a sample matrix.
std::complex< double > | sample ()
| Get a Complex Normal (0,1) distributed sample.
void | sample_vector (int size, cvec &out)
| Get a Complex Normal (0,1) distributed vector.
void | sample_matrix (int rows, int cols, cmat &out)
| Get a Complex Normal (0,1) distributed matrix.
Complex_Normal_RNG & | operator= (const Complex_Normal_RNG &)
| Dummy assignment operator - MSVC++ warning C4512.

## Detailed Description

A Complex Normal Source.

Definition at line 579 of file random.h.

## Constructor & Destructor Documentation

## Complex_Normal_RNG() [1/2]

itpp::Complex_Normal_RNG::Complex_Normal_RNG | ( | std::complex< double > | mean,
|  | double | variance
| ) |  |

inline

Constructor. Set mean and variance.

Definition at line 583 of file random.h.

References itpp::mean(), and itpp::variance().

## Complex_Normal_RNG() [2/2]

itpp::Complex_Normal_RNG::Complex_Normal_RNG | ( |  | ) |

inline

Default constructor.

Definition at line 588 of file random.h.

## Member Function Documentation

## setup()

void itpp::Complex_Normal_RNG::setup | ( | std::complex< double > | mean,
|  | double | variance
| ) |  |

inline

Set mean and variance.

Definition at line 590 of file random.h.

References itpp::mean(), and itpp::variance().

## get_setup()

void itpp::Complex_Normal_RNG::get_setup | ( | std::complex< double > & | mean,
|  | double & | variance
| ) |  |

inline

Get mean and variance.

Definition at line 596 of file random.h.

References itpp::mean(), and itpp::variance().

## operator()() [1/3]

std::complex< double > itpp::Complex_Normal_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 601 of file random.h.

## operator()() [2/3]

cvec itpp::Complex_Normal_RNG::operator() | ( | int | n | ) |

inline

Get a sample vector.

Definition at line 603 of file random.h.

## operator()() [3/3]

cmat itpp::Complex_Normal_RNG::operator() | ( | int | h,
|  | int | w
| ) |  |

inline

Get a sample matrix.

Definition at line 611 of file random.h.

## sample()

std::complex< double > itpp::Complex_Normal_RNG::sample | ( |  | ) |

inline

Get a Complex Normal (0,1) distributed sample.

Definition at line 619 of file random.h.

## sample_vector()

void itpp::Complex_Normal_RNG::sample_vector | ( | int | size,
|  | cvec & | out
| ) |  |

inline

Get a Complex Normal (0,1) distributed vector.

Definition at line 626 of file random.h.

References itpp::Array< T >::set_size(), and itpp::Array< T >::size().

Referenced by itpp::AWGN_Channel::operator()().

## sample_matrix()

void itpp::Complex_Normal_RNG::sample_matrix | ( | int | rows,
|  | int | cols,
|  | cmat & | out
| ) |  |

inline

Get a Complex Normal (0,1) distributed matrix.

Definition at line 632 of file random.h.

References itpp::Array< T >::set_size().

## operator=()

Complex_Normal_RNG & itpp::Complex_Normal_RNG::operator= | ( | const Complex_Normal_RNG & |  | ) |

inline

Dummy assignment operator - MSVC++ warning C4512.

Definition at line 638 of file random.h.

The documentation for this class was generated from the following file:

- itpp/base/random.h

Generated on Mon Jun 10 2024 11:49:34 for IT++ by Doxygen 1.9.8